<?php

namespace Lavalite\Advertisement\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertisementTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Advertisement\Models\Advertisement $advertisement)
    {
        return [
            'id'                => $advertisement->getRouteKey(),
            'key'               => [
                'public'    => $advertisement->getPublicKey(),
                'route'     => $advertisement->getRouteKey(),
            ], 
            'id'                => $advertisement->id,
            'order'             => $advertisement->order,
            'user_id'           => $advertisement->user_id,
            'user_type'         => $advertisement->user_type,
            'slug'              => $advertisement->slug,
            'title'             => $advertisement->title,
            'description'       => $advertisement->description,
            'image'             => $advertisement->image,
            'position'          => $advertisement->position,
            'country_id'        => $advertisement->country_id,
            'city_id'           => $advertisement->city_id,
            'location_id'       => $advertisement->location_id,
            'sublocation_id'    => $advertisement->sublocation_id,
            'status'            => $advertisement->status,
            'activate'          => $advertisement->activate,
            'created_at'        => $advertisement->created_at,
            'updated_at'        => $advertisement->updated_at,
            'deleted_at'        => $advertisement->deleted_at,
            'url'               => [
                'public'    => trans_url('advertisement/'.$advertisement->getPublicKey()),
                'user'      => guard_url('advertisement/advertisement/'.$advertisement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$advertisement->status),
            'created_at'        => format_date($advertisement->created_at),
            'updated_at'        => format_date($advertisement->updated_at),
        ];
    }
}